Bug 1348773 (CVE-2015-8923) - CVE-2015-8923 libarchive: Unclear crashes in ZIP parser
Summary: CVE-2015-8923 libarchive: Unclear crashes in ZIP parser
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8923
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1352776 1353065 1353066
Blocks: 1334215
TreeView+ depends on / blocked
 
Reported: 2016-06-22 03:33 UTC by Doran Moppert
Modified: 2019-09-29 13:51 UTC (History)
4 users (show)

Fixed In Version: libarchive 3.2.0
Doc Type: Bug Fix
Doc Text:
A vulnerability was found in libarchive. A specially crafted ZIP file could cause a few bytes of application memory in a 256-byte region to be disclosed.
Clone Of:
Environment:
Last Closed: 2016-10-18 04:59:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1844 normal SHIPPED_LIVE Important: libarchive security update 2016-09-13 00:11:35 UTC

Description Doran Moppert 2016-06-22 03:33:05 UTC
An out-of-bounds read due to incorrect sign extension was found in
libarchive.  A specially crafted ZIP file could cause libarchive to
crash.  A few bytes of heap memory within a 256-byte region could
potentially be exposed.

Upstream bug:
    https://github.com/libarchive/libarchive/issues/514

Upstream fix:
    https://github.com/libarchive/libarchive/commit/9e0689c


libarchive-2.8 does not include support for "Info-Zip Unix extra field
(type 3)", where this flaw was found, and is thus unaffected.

Comment 2 Doran Moppert 2016-07-05 04:38:06 UTC
Created libarchive tracking bugs for this issue:

Affects: fedora-all [bug 1352776]

Comment 5 errata-xmlrpc 2016-09-12 20:14:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1844 https://rhn.redhat.com/errata/RHSA-2016-1844.html


Note You need to log in before you can comment on or make changes to this bug.